org.eclipse.rap.fileupload

## Class UploadTimeLimitExceededException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.rap.fileupload.UploadTimeLimitExceededException

All Implemented Interfaces:
  java.io.Serializable

    public class UploadTimeLimitExceededException
    extends java.lang.Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UploadTimeLimitExceededException(long timeLimit, java.lang.String fileName)` Constructs a `UploadTimeLimitExceededException` with permitted time.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getFileName()` Returns the name of the uploaded file when the execption occurs.
`long` `getTimeLimit()` Returns the maximum permitted file upload duration in milliseconds.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UploadTimeLimitExceededException

    public UploadTimeLimitExceededException(long timeLimit,
                                            java.lang.String fileName)

Constructs a `UploadTimeLimitExceededException` with permitted time.

Parameters:
  `timeLimit` - The maximum permitted file upload duration in milliseconds.
  `fileName` - The name of the uploaded file when the execption occurs.
Since:
  3.3

### Method Detail

#### getTimeLimit

    public long getTimeLimit()

Returns the maximum permitted file upload duration in milliseconds.

#### getFileName

    public java.lang.String getFileName()

Returns the name of the uploaded file when the execption occurs.

Copyright (c) EclipseSource and others 2002, 2020. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0